# Options de la Ligne de Commande

Le programme Jmol a une option de la ligne de commander pour exécuter des scripts:

    --script

. La syntaxe courante est:

          jmol
          --script rasmol.script

Ceci permet de lancer jmol avec un script Rasmol. La syntaxe de ces scripts est expliquée dans .

Alternativement, Jmol peut être lancé avec un argument étant un nom de fichier:

          jmol
          file

## --geometry

Cette option permet de spécifier la taille de la fenêtre. Par défaut, elle est de 500x500.

## -Duser.language

En plus des options ci-dessus, il y a une option Java importante:

    -Duser.language

. Avec cette option la langue de l'IHM peut être choisie. Actuellement, les langages suivant sont supportés: `de`, `en`, `es`, `fr`, `nl` et `pl`.

Alternativement, vous pouvez aussi utiliser la variable d'environnement `LANG` pour choisir la langue préférée. C'est habituel dans beaucoup de systèmes UNIX, comme Linux. Toutefois, il est connu que celà ne marche pas sous Solaris et l'option ci-dessus de la ligne de commande doit être utilisée.

## -Ddisplay.speed

L'option

    -Ddisplay.speed=fps

peut être utilisée pour rendre compte de la vitesse d'affichage en images par seconde au lieu d'en millisecondes par image.

## -Xmx

Avec cette option vous pouvez changer la taille maximum du tas que la machine virtuelle Java peut adresser dans les systèmes Java 1.4. Par défaut, elle est de 64 Mo. Pour de gros fichiers ce peut être insuffisant. En utilisant

    -Xmx512m

la taille du tas est agrandie à un demi gigaoctet. Sur des systèmes Java plus anciens la syntaxe de cette option est différente (cf. `java --help`).